Get time zone IDs for exports

Get time zone IDs used to format time zones in exports

Details

Returns timezone IDs to use with endpoints that support the timezone query parameter for time-based filtering.

📘

Note

The example response does not show the full set of timezones returned.

Each result in the response includes an id. For example

    {
      "id":"Etc/GMT+12",
      "name":"GMT-12:00",
      "shortName":"GMT-12:00",
      "offsetString":"-12:00",
      "offsetMillis":-43200000
    }

Use the value of the id field in the response as the value of the timezone query parameter passed to export generation endpoints that support time-based filtering. The timezone ID must be URL-encoded when passing in endpoints.

This example shows how to use a timezone ID in an export generation endpoint:

curl -u username:password -XPOST \
'https://analytics-api.app.lithium.com/api/public/reports/report/marketing/raw_brand_posts?reportFormat=CSV&companyKey=[company_key]'&'startTime=1462078800000&endTime=1466445258521&timezone=America%2FChicago'
Query Params
string
required

The company key found in Account Admin > General Settings > Analytics API Settings

string
Defaults to en

A locale code to filter the response. Default is en

Response

Language
Request
Response
Choose an example:
application/json